Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseWtp

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseWtp

    class EclipseWtp
    extends java.lang.Object

Dsl-friendly model of the eclipse wtp information

Example of use with a blend of all possible properties. Bear in mind that usually you don't have configure them directly because Gradle configures it for free!

     apply plugin: 'java'
     apply plugin: 'war'
     apply plugin: 'eclipse'

     configurations {
       someInterestingConfiguration
       anotherConfiguration
     }

     eclipse {

       //if you want parts of paths in resulting file(s) to be replaced by variables (files):
       pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

       wtp {
         component {
           //you can configure the context path:
           contextPath = 'someContextPath'

           //you can configure the deployName:
           deployName = 'killerApp'

           //you can alter the wb-resource elements. sourceDirs is a ConvenienceProperty.
           sourceDirs += file('someExtraFolder')

           //you can alter the files are to be transformed into dependent-module elements:
           plusConfigurations += configurations.someInterestingConfiguration

           //or whose files are to be excluded from dependent-module elements:
           minusConfigurations += configurations.anotherConfiguration

           //you can add a wb-resource elements; mandatory keys: 'sourcePath', 'deployPath':
           resource sourcePath: 'extra/resource', deployPath: 'deployment/resource'

           //you can add a wb-property elements; mandatory keys: 'name', 'value':
           property name: 'moodOfTheDay', value: ':-D'
         }

         facet {
           //you can add some extra wtp facets; mandatory keys: 'name', 'version':
           facet name: 'someCoolFacet', version: '1.3'
         }
       }
     }

@author: Szczepan Faber, created at: 4/19/11

Property Summary
`EclipseWtpComponent` | `component`
`EclipseWtpFacet` | `facet`

Method Summary
`void` | `component(groovy.lang.Closure action)` Configures wtp component.
`void` | `facet(groovy.lang.Closure action)` Configures wtp facet.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### component

    EclipseWtpComponent component

### facet

    EclipseWtpFacet facet

Method Detail

### component

    void component(groovy.lang.Closure action)

  Configures wtp component.

  For examples see docs for EclipseWtp

  Parameters:
    action

### facet

    void facet(groovy.lang.Closure action)

  Configures wtp facet.

  For examples see docs for EclipseWtp

  Parameters:
    action

Groovy Documentation